package test;
import junit.framework.*;

/**********************************************************************
 * AllTests.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Fri Apr 30 13:36:43 2004>
 * Time-stamp: <2004-05-03 08:47:58 clean> (Last Modified)
 **********************************************************************/
 
public class AllTests  {
    public static Test suite() {
	TestSuite suite = new TestSuite("Test suite frs seminar");
	suite.addTestSuite(test.simpleOSTest.class);
	suite.addTestSuite(test.simpleHostTest.class);
	suite.addTestSuite(test.RFC1034Test.class);
	suite.addTestSuite(test.RFC1117Test.class);
	suite.addTestSuite(test.ieee802Test.class);
	suite.addTestSuite(test.DBWriterTest.class);
	return suite;
    }

    public static void main(String[] args) {
	junit.textui.TestRunner.run(test.AllTests.suite());
    }
}
