package seminar;
import java.util.regex.Pattern;

/**********************************************************************
 * ieee802.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Fri Apr 30 20:19:08 2004>
 * Time-stamp: <2004-04-30 20:31:18 clean> (Last Modified)
 **********************************************************************/
 
/**
 * MAC addresse auf korrektheit prfen
 * die MAC ist im ieee 802.3 standard definiert als
 * 6-tupel HH:HH:HH:HH:HH:HH mit H=[0-9A-Fa-f]
 */
public class ieee802 {
    public static boolean checkMAC(String mac) {
	return Pattern.matches("\\p{XDigit}\\p{XDigit}:\\p{XDigit}\\p{XDigit}:\\p{XDigit}\\p{XDigit}:\\p{XDigit}\\p{XDigit}:\\p{XDigit}\\p{XDigit}:\\p{XDigit}\\p{XDigit}", mac);
    }
};
