package seminar;
/**
 * Betriebssystem Klasse
 * 
 * ein betriebssystem hat einen namen, sonst nix
 *
 * es ist auch nicht vernderbar, neuer name -> neues Betriebssystem
 *
 * @author Robert Pintarelli
 *
 * $Id: simpleOS.java,v 1.4 2004/04/30 10:30:51 rp Exp $
 */

public class simpleOS {
    /** der names des OS */
    private String _name;
    private String _company;
    /**
     * ein neues Betriebssystem erzeugen
     *
     * @param name Name des Betriebssystems
     */
    public simpleOS(String name, String company) {
	_name = name;
	_company = company;
    }

    /**
     * Name des Betriebssystems
     * @return der Name
     */
    public String getName() {
	return _name;
    }

    /**
     * name des herstellers
     * @return name
     */
    public String getCompany() {
	return _company;
    }

    /**
     * equals
     * vergleich auf gleichheit
     * @param other zu testendes objekt
     * @return true falls gleichheit
     */
    public boolean equals(Object other) {
        if (this == other) {
            return true;
        }
        if (other instanceof simpleOS) {
            simpleOS otherOS = (simpleOS)other;
            if (getName().equals(otherOS.getName())) {
                return true;
            }
        }
	return false;
    }

    public int hashCode() {
	return getName().hashCode();
    }
}
