package test;
import junit.framework.*;
import seminar.ieee802;
/**********************************************************************
 * ieee802Test.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Fri Apr 30 20:24:16 2004>
 * Time-stamp: <2004-04-30 20:30:49 clean> (Last Modified)
 **********************************************************************/
 
public class ieee802Test extends TestCase {
    public ieee802Test(String name) {
	super(name);
    }

    public void testMAC() {
	assertTrue(ieee802.checkMAC("00:00:e2:2f:69:77"));
    }

    public void testInvalidMAC() {
	assertFalse(ieee802.checkMAC("00:00:e2:2f:69"));
	assertFalse(ieee802.checkMAC("00:00:e2:2f:69:77:00"));
	assertFalse(ieee802.checkMAC("00:00:e2:2f:69:xx"));
	assertFalse(ieee802.checkMAC("00-00-e2-2f-69-77"));
	assertFalse(ieee802.checkMAC(""));
    }
}
